Bug 1315633 - Missing unit in "PS_Scavenge - Collection Time per Minute" graph in JBoss ON UI
Missing unit in "PS_Scavenge - Collection Time per Minute" graph in JBoss ON UI
Status: CLOSED CURRENTRELEASE
Product: JBoss Operations Network
Classification: JBoss
Component: Plugin -- JBoss EAP 6 (Show other bugs)
JON 3.3.5
Unspecified Unspecified
high Severity medium
: ER01
: One-off release
Assigned To: Michael Burman
Prachi
: Triaged
Depends On:
Blocks: 1261060 1261062 1261066 1273531 1289370 1300725 1302426 1319889 1319904 1319945
  Show dependency treegraph
 
Reported: 2016-03-08 04:47 EST by Michael Burman
Modified: 2016-09-01 05:03 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1315622
Environment:
Last Closed: 2016-09-01 05:03:18 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screen shot (137.98 KB, image/png)
2016-03-21 04:17 EDT, Filip Brychta
no flags Details

  None (edit)
Description Michael Burman 2016-03-08 04:47:41 EST
+++ This bug was initially created as a clone of Bug #1315622 +++

Description of problem:

According to the JBoss ON documentation [1], graph "PS_Scavenge - Collection Time per Minute" (see attached screen shot) shows the approximate accumulated collection elapsed time in milliseconds. However, this unit (ms) is not shown in the graph




Version-Release number of selected component (if applicable):
JBoss ON 3.3.5

How reproducible:
Always

Steps to Reproduce:
1. In JBoss ON UI -> EAP standalone resource -> Server Configuration -> platform-mbean -> garbage-collector -> Garbage Collector Resources -> PS_Scavenge -> Monitoring -> Schedules 
2. Set/enable "Collection Time per Minute" metric;
3. Navigate to Monitoring -> Metrics page for this resource
4. Open the graph

Actual results:
Graph is shown without unit (ms)

Expected results:
Graph containing unit


Additional info:



[1] https://access.redhat.com/documentation/en-US/Red_Hat_JBoss_Operations_Network/3.3/html-single/Complete_Resource_Reference/index.html#JBossAS7-JBossAS7_Standalone_Server-JVM-Garbage_Collector
Comment 1 Michael Burman 2016-03-08 05:09:37 EST
Fixed in the master:

commit 2313c401ae3329e6a52efe2396c2fb0e587a5cef
Author: Michael Burman <miburman@redhat.com>
Date:   Tue Mar 8 12:08:57 2016 +0200

    [BZ 1315633] Add missing units to plugin descriptor for collection-time
Comment 4 Filip Brychta 2016-03-21 04:17:04 EDT
Verified on JON3.3.5 + eap plugin pack update 03-CR01, screen shot attached.
Comment 5 Filip Brychta 2016-03-21 04:17 EDT
Created attachment 1138445 [details]
screen shot

Note You need to log in before you can comment on or make changes to this bug.